#ifndef _DEVICE_H_
#define _DEVICE_H_
/*
 *  Prototype 'include file' so user-mode code knows what the driver
 *  expects for ioctls and such.
 */

#if !defined(DEV_MAJOR) 
#define DEV_MAJOR      127                    /* Major number of the device */
#endif

#ifndef PACK
#define PACK
#endif

#define LPT_BASE_PORT  0x378
#define LPT_DATA_PORT  LPT_BASE_PORT
#define LPT_STAT_PORT  LPT_BASE_PORT+1
#define LPT_CTRL_PORT  LPT_BASE_PORT+2 
#define BUF_LEN        0x1000
#define MIN_PAGES      0x1A0                  /* Crashes at 0x100 pages */
#define READ_ENB       0x20
#define IRQ_ENB        0x10
#define IRQ_USE        0x07

/*
 *  These are chosen to be high enough so normal ioctls from tools
 *  won't end up clobering termios structures.
 */
#define READ_INTR_COUNT 0xdead0000
#define READ_INTR_CLEAR 0xdead0001
#define DORK_INTR_COUNT 0xdead0002
#define DISA_INTR_DEVIC 0xdead0003
#define ENAB_INTR_DEVIC 0xdead0004
#define GET_DEV_OPENCNT 0xdead0005
 
#endif

